Bug 1126786 - [DOC] Section 12.2.28 - Managing the SSSD Cache. Provided example shows invalid command
Summary: [DOC] Section 12.2.28 - Managing the SSSD Cache. Provided example shows inval...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Deployment_Guide
Version: 6.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jaromir Hradilek
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 09:40 UTC by Stuart Auchterlonie
Modified: 2018-12-09 18:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:29:48 UTC


Attachments (Terms of Use)

Description Stuart Auchterlonie 2014-08-05 09:40:43 UTC
Description of problem:

The example command given in Example 12.15 - Purging Domain Records
in Section 12.2.28 - Managing the SSSD Cache shows the example command

# sss_cache -d LDAP1

Running this command results in an error

# sss_cache -d LDAP1
Usage: sss_cache [-?UGNSA] [-?|--help] [--usage] [-u|--user STRING] [-U|--users]
        [-g|--group STRING] [-G|--groups] [-n|--netgroup STRING] [-N|--netgroups]
        [-s|--service STRING] [-S|--services] [-a|--autofs-map STRING] [-A|--autofs-maps]
        [-d|--domain STRING]
Please select at least one object to invalidate
(Tue Aug  5 10:33:22:039487 2014) [sssd] [main] (0x0020): Error initializing context for the application



Version-Release number of selected component (if applicable):

Current rhel-6.5 documentation

How reproducible:

100%

Steps to Reproduce:
1. run command `sss_cache -d LDAP1`
2.
3.

Actual results:

Error above

Expected results:

Provide a valid example command that works

Additional info:

Comment 3 Jaromir Hradilek 2014-08-13 20:51:05 UTC
Thank you very much for taking the time to report this issue, Stuart.

Comment 6 Jaromir Hradilek 2014-08-20 18:59:40 UTC
Hi Stuart,

Based on comment 5, I have updated the relevant part of the section so that
it reads as follows:

  Most commonly, this is used to clear the cache and update all records:

    [root@server ~]# sss_cache -E

  The sss_cache command can also clear all cached entries for a particular
  domain:

    [root@server ~]# sss_cache -Ed LDAP1

  If the administrator knows that a specific record (user, group, or
  netgroup) has been updated, then sss_cache can purge the records for that
  specific account and leave the rest of the cache intact:

    [root@server ~]# sss_cache -u jsmith

I have also updated table 12.12 with the list of commonly used sss_cache
options and added the following entry:

  Table 12.12. Common sss_cache Options
  +----------------+---------------+--------------------------------------+
  | Short Argument | Long Argument | Description                          |
  +----------------+---------------+--------------------------------------+
  | -E             | --everything  | Invalidates all cached entries with  |
  |                |               | the exception of sudo rules.         |
  +----------------+---------------+--------------------------------------+

When you have a chance, could you please share it with the customer and
verify that the fix resolves their issue? In addition, please let me know
if there is anything else they would like me to add or change.

Thank you,
Jaromir


Note You need to log in before you can comment on or make changes to this bug.